LocalVariablesSorter (cglib (Version 3.1))
Date: 2015-09-15

net.sf.cglib.core

## Class LocalVariablesSorter

- java.lang.Object
- - MethodVisitor
  - - net.sf.cglib.core.LocalVariablesSorter

- Direct Known Subclasses:
    CodeEmitter

      public class LocalVariablesSorter
      extends MethodVisitor

  A `MethodVisitor` that renumbers local variables in their order of appearance. This adapter allows one to easily add new local variables to a method.
  Author:
    Chris Nokleberg, Eric Bruneton

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalVariablesSorter(int access, java.lang.String desc, MethodVisitor mv)`
    `LocalVariablesSorter(LocalVariablesSorter lvs)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `visitIincInsn(int var, int increment)`
    `void` | `visitLocalVariable(java.lang.String name, java.lang.String desc, java.lang.String signature, Label start, Label end, int index)`
    `void` | `visitMaxs(int maxStack, int maxLocals)`
    `void` | `visitVarInsn(int opcode, int var)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocalVariablesSorter

          public LocalVariablesSorter(int access,
                              java.lang.String desc,
                              MethodVisitor mv)

    - #### LocalVariablesSorter

          public LocalVariablesSorter(LocalVariablesSorter lvs)

  - ### Method Detail

    - #### visitVarInsn

          public void visitVarInsn(int opcode,
                          int var)

    - #### visitIincInsn

          public void visitIincInsn(int var,
                           int increment)

    - #### visitMaxs

          public void visitMaxs(int maxStack,
                       int maxLocals)

    - #### visitLocalVariable

          public void visitLocalVariable(java.lang.String name,
                                java.lang.String desc,
                                java.lang.String signature,
                                Label start,
                                Label end,
                                int index)

Copyright (c) 2001 - Apache Software Foundation